/***************************************************************************
 *   Copyright (C) 2010 by Martin Burgemeister, Mathis Lindemann		   *
 *      																   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef CONTROLLER_H_
#define CONTROLLER_H_

#include <QObject>
/**
 * \class Controller
 * \brief Base class for all Controllers.
 *
 * This is the base class for all controllers. It
 * saves the name of the controller class.
 *
 * \author Martin Burgemeister <Martin.Burgemeister@gmx.de>,
 *         Mathis Lindemann <MathisLindemann@gmx.net>
 * \version 1.0
 * \date 27 August 2010
 * \see Luna
 */
class Controller : public QObject{
public:
	Controller(QObject * parent);
	virtual ~Controller();

	QString getName() const;
	void setName(QString = "");
private:
	/*
	 * \brief Name of the controller.
	 */
	QString controllerName_;
};

#endif /* CONTROLLER_H_ */
